WeBid Bug Tracking

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000060WeBidAuctionspublic2009-09-23 23:292009-10-28 14:47
ReporterBox Lot 
Assigned To 
Priority@0@SeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.8.1 
Target VersionFixed in Version0.8.3 
Summary0000060: Error when buyer goes to pay
Description0.8.1 (r.171)

Buyer clicks to pay in users area:
Someone wrote

Fatal error: Class 'fees' not found in SITE/pay.php on line 29
Also think Line 27 has misspell:
Someone wrote

$gayeway_data = mysql_fetch_assoc($res);


Still getting it with r.175
TagsNo tags attached.
import_id60
Thread
Attached Files

- Relationships

-  Notes
(0000177)
autoafrica (reporter)
2009-09-28 05:39
edited on: 1970-01-01 00:00

i have the same problem ..i am looking for help
(0000178)
renlok (administrator)
2009-09-28 13:09
edited on: 1970-01-01 00:00

Oh i forgot about this fixed it a while ago id advise people to use SVN versions instead of 0.8.1
(0000179)
Box Lot (reporter)
2009-09-28 14:46
edited on: 2009-09-28 14:52

0.8.1 (r.175)
Clicking pay in users area goes through but amount shows as $0 and no Paypal option. Can't finish paying.

Someone wrote

Please proceed to one of the payment gateways listed below to pay the seller the amount of 0.00.

  
Is this fixed in r.176/r.177? Only see the buy_now.php change.
(0000180)
paditur (reporter)
2009-09-28 18:52
edited on: 1970-01-01 00:00

I've updates from 8.01 to SVN ver.177 and when I go to the Buyers Members Area and select AUCTIONS YOU WON, when I click on the Pay Now button, I get a page:
Please proceed to one of the payment gateways listed below to pay the seller the amount of 0.05.

Only there is nothing below.
(0000191)
Box Lot (reporter)
2009-10-04 19:40
edited on: 2009-10-04 19:41

0.8.1 (r.183)
Still having an issue with this. Buyer goes to pay for $150 win:
Someone wrote

Please proceed to one of the payment gateways listed below to pay the seller the amount of 0.00.

     If you wish to via an alternative method contact to find out how.
No gateway(s) listed.

Looks like new contact link change not working.
(0000197)
bchabot (viewer)
2009-10-07 22:11
edited on: 1970-01-01 00:00

Any help for those of us without SVN? Is there one or two files with the fix or can you possibly release a minor bugfix? Pretty please?
(0000198)
bchabot (viewer)
2009-10-07 22:25
edited on: 1970-01-01 00:00

OK, scratch that. I got the tarball from SF's web interface to SVN...

...looking forward to the release of version 1.0...
(0000199)
Box Lot (reporter)
2009-10-08 00:26
edited on: 1970-01-01 00:00

bchabot wrote

OK, scratch that. I got the tarball from SF's web interface to SVN...

...looking forward to the release of version 1.0...

Please report back if you have no issues/weirdness with this one.

I have petitioned to reopen this one as as at least unconfirmed as of 0.8.1 (r.184).

I've done multiple "purchases" and some show $0, others seem to show another purchase from that same seller so maybe pulling the wrong sale $.

Others should try a couple/few purchases since one may work and another may not as in my case.

I realize I'm a couple of updates behind but the file list and changes did not seem to apply.
(0000223)
Box Lot (reporter)
2009-10-14 01:19
edited on: 1970-01-01 00:00

0.8.2 (r.190)
Still an issue though different from the original in terms of results so maybe I should have started a new thread rather then asking to change the status back. It was along the same testing route so I didn't think about starting another for continuity sake.

Hard to pin down what is occurring. I confess I don't understand the DB pulls in pay.php though I've tried numerous times to make changes. I think there might be something missing there, it doesn't seem to recognize the final bid or the shipping.

Did another test.
Started two auctions, one opening at $5 and one with Buy it Now price of $100.

Opened the $5 one then had seller close it to complete the sale. Then did the Buy it now.

Clicking pay for $5 auction resulted in the $0 dollar amount due message and no Paypal payment option.

Clicking pay for Buy it now item had $50 pay message and did include the Paypal option.

In this case the buyers last item in the list to be paid for is $50 but not sure if that is coincidence. By the way, clicking that older item shows a payment of $200.

Confirmation emails do show the correct amount.

I still have to retest with some distinct values so there aren't duplicates and I can get a better idea of what is getting mixed up but I need to wipe the auctions and doing some other work right now but hopefully the above indicates something.

My Pay.php is default without edits.
(0000224)
Box Lot (reporter)
2009-10-14 01:44
edited on: 1970-01-01 00:00

One thing I've noticed now after reloading the already loaded and unedited "outstanding.php" for a 3rd time grasping at straws is that sometimes clicking "Pay" from the buying/auctions you've won takes you to outstanding and those Pay buttons bring up the right invoice and payment selections but other times it goes right to the invoice at SITE/pay.php?a=2.

It's sporadic at best and more often then not takes you to the incorrect/incomplete invoice and not sure why.

Still need to wipe other old purchased items and retest again.
(0000234)
Box Lot (reporter)
2009-10-14 15:27
edited on: 1970-01-01 00:00

0.8.2 (r.190)
Deleted all auctions and set up 6 new ones.

Buyer buys one with buy it now and goes to pay, clicks "Pay" and "outstanding" page shows and clicking that "Pay" takes him to the correct invoice with Paypal option.

Buyer bids on a regular one. Seller closes. Buyer goes to pay and clicks "Pay" and it skips the "outstanding" step and goes directly to an invoice with $0 amount and no Paypal payment option.

Maybe someone else can test this or similar scenario using more than one auction and buying method too just in case that is a factor. Almost starting to appear like every other one in user panel breaks the process.
(0000235)
paditur (reporter)
2009-10-14 15:51
edited on: 1970-01-01 00:00

I can test this tomorrow if you like. I'm swamped today.
(0000236)
Box Lot (reporter)
2009-10-14 21:27
edited on: 1970-01-01 00:00

Yeah, whenever is cool. It's a weird one and I'm still not sure the chain of events that makes one work and another not.

You've already seen that someone else has hit it but posted in a new thread:
http://www.webidsupport.com/forums/showthread.php?t=1241[/url] [^]
(0000246)
paditur (reporter)
2009-10-15 16:36
edited on: 1970-01-01 00:00

From Pete917
Someone wrote

I just ran a live test with a friend. I just listed an item for £1 and he bought it. everything seemed to work with the paypal side. He was taken to paypal and the invoice was populated accordingly. He paid and I receieved a receipt from paylpal.

He as the buyer was taken back to my auction site where he received an on site message thanking him for his payment and his business.

However when he returned to his account and outstanding payment he was still shopwing as owing me the £1.

Next error was when he tried to leave me feedback, it said you cannot leave feedback on the seller until the auction is close. I checked and the auction is showing as closed.


It looks like it's getting close. There needs to be a way that the seller can mark an item as paid so the transaction is completed. If electronic payments such as Paypal and Authorize.net can somehow automatically mark an item as paid that would be great but I'm not sure that's possible without the developer paying a fee to Paypal and Authorize.net for that type of two way communication.
(0000247)
paditur (reporter)
2009-10-15 16:43
edited on: 1970-01-01 00:00

I have be unable to replicate the issue:

Here is a summary:
Auction 0000001
Auction start $0.01
Shipping Fee $0.01
No Reserve
No Buy It Now Only
No Buy Now
2 Day Auction
Featured and Highlighted

Test Bidder Bid $0.01
Test Seller Closed Auction

Test Bidder also Purchased
-Buy it Now Item $4.99
-Buy it Now Item $14.00 + $9.75 S/H

When bidder goest to Item Won, all items appear on list with correct amounts.

When test bidder clicks on Pay Now they are taken to Outstanding.php
All items appear in outstanding.php with correct amounts.

It looks like the bidder has to pay for each item individually.

It would be nice if they can select all items to pay at one time if the items are all from one seller.
(0000251)
Box Lot (reporter)
2009-10-15 19:00
edited on: 1970-01-01 00:00

Mmm, just saw another comment in yet another outside thread that replicated with the $0 display and no Paypal as well so it is happening to some and not to others. If memory serves the replication count should be about 4 if the other threads were aware of the Projects forum.

Frustrating but I believe it is still a bug given some can replicate. We've had bugs here like that but hopefully this is not as complicated as a couple of those were as they lingered for a long time.

Thanks for the test.
(0000255)
Box Lot (reporter)
2009-10-15 21:46
edited on: 1970-01-01 00:00

Just keep going in circles, can't find the issue. Another day gone!

Latest test:
3 auctions completed and as shown in Auctions Won:
Sold for $0.99
 Sold for $0.99
Buy it now for $125

(Purchases are shown in reverse order in Auctions you've won with latest purchase at top so buy it now for $125 was first sale, if that matters here.)

1st Buy it now for $125 went to outstanding.php as expected and displayed the correct value and Paypal link.

2nd purchase for $0.99 produced broken pay.php invoice with $0 and no Paypal, previous buy it now link still worked as expected.

3rd purchase for $0.99 did not got to outstanding.php but did create an invoice. However, this invoice was for the $125 1st purchase. Paypal link was there.

Other two pay link results were unchanged.

What the hell!?

All purchases in Outstanding payments show and link correctly and as expected.
(0000282)
JALDERSON (viewer)
2009-10-27 19:08
edited on: 1970-01-01 00:00

I'm having a similar issue. Looking at the source from buying.php and outstanding.php from SVN r.189:

buying.php
<form id="fees" action="http://epacauction.com/pay.php?a=2" [^] method="post" name="">
<input type="hidden" value="4" name="pfval"/>
<input class="pay" type="submit" value="Pay Now" name="Pay"/>
</form>


outstanding.php
<form id="fees" action="http://epacauction.com/pay.php?a=2" [^] method="post" name="">
<input type="hidden" value="103" name="pfval"/>
<input class="pay" type="submit" value="Pay Now" name="Pay"/>
</form>


outstanding.php works and auction ID 103 is correct. In my case, auction 4 was a test auction that had already been deleted, so there was nothing there. In this case, it showed $0.00 and no pay button.

I am surprised at this, as it seemed to be pretty solid when I tested it last month... and there is probably some common thread for why a few of us are having this problem and most people aren't.
(0000283)
JALDERSON (viewer)
2009-10-27 19:38
edited on: 1970-01-01 00:00

Upon doing a little more recon, the culprit seems to be /Themes/default/buying.tpl.

On line 52, we find the form and it appears to be referencing items.ID, which is the winner ID, not the auction ID.

<form name="" method="post" action="{SITEURL}pay.php?a=2" id="fees">
            <input type="hidden" name="pfval" value="{items.ID}">
            <input type="submit" name="Pay" value="{L_756}" class="pay" />
            </form>


Change to:

<form name="" method="post" action="{SITEURL}pay.php?a=2" id="fees">
            <input type="hidden" name="pfval" value="{items.AUC_ID}">
            <input type="submit" name="Pay" value="{L_756}" class="pay" />
            </form>


Tested out OK...
(0000284)
Box Lot (reporter)
2009-10-27 20:50
edited on: 1970-01-01 00:00

Tested and works for me as well, thanks again JALDERSON.

Renlok, I withdraw my petition to reopen this given it's an easy fix to include in an update.
(0000285)
paditur (reporter)
2009-10-28 03:03
edited on: 1970-01-01 00:00

Thanks Jalderson! Although I was unable to replicate the problem, I'm glad to know my fellow webiders are no longer experiencing this issue.
(0000286)
Hegs (reporter)
2009-10-28 10:00
edited on: 1970-01-01 00:00

EUREKA!! JALDERSON you did it! To think it was something so simple. Thank you for your contribution. My take is that you know PHP. Maybe consider joining Renlok as a member of the development team?

Thanks again,
Rob
(0000287)
Box Lot (reporter)
2009-10-28 14:47
edited on: 1970-01-01 00:00

Hegs wrote

..Maybe consider joining Renlok as a member of the development team?

He already has! ;)

- Issue History
Date Modified Username Field Change
2015-04-01 13:17 renlok New Issue
2015-04-01 13:17 renlok import_id => 60
2015-04-01 13:17 renlok Date Submitted 2015-04-01 13:17 => 2009-09-23 23:29
2015-04-01 13:17 renlok Last Update 2015-04-01 13:17 => 2009-10-28 14:47


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker